import type { Logger } from '@sap-ux/logger';
import type { DataAccess } from '.';
import type { ServiceOptions } from '../types';
/** A hybrid store
 * Stores serializable properties on the filesystem
 * The properties need to be decorated with `@serilizable` annotations
 *
 * Sensitive properties (decorated with `@sensitiveData`) will be stored
 * in the system's secure store
 */
export declare function getHybridStore<E extends object>(logger: Logger, options?: ServiceOptions): DataAccess<E>;
//# sourceMappingURL=hybrid.d.ts.map