"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initI18n = initI18n;
exports.text = text;
const i18next_1 = __importDefault(require("i18next"));
const i18next_fs_backend_1 = __importDefault(require("i18next-fs-backend"));
const path_1 = __importDefault(require("path"));
const i18nInstance = i18next_1.default.createInstance();
async function initI18n() {
    await i18nInstance.use(i18next_fs_backend_1.default).init({
        initImmediate: false,
        fallbackLng: 'en',
        fallbackNS: 'default',
        interpolation: { escapeValue: false },
        ns: 'ux-store',
        defaultNS: 'ux-store',
        backend: {
            loadPath: path_1.default.join(__dirname, './translations/{{lng}}.{{ns}}.json')
        }
    });
}
function text(key, options) {
    return i18nInstance.t(key, options);
}
//# sourceMappingURL=i18n.js.map