import type { Logger } from '@sap-ux/logger';
import { ServiceOptions } from './types';
import { Entity } from './constants';
import type { Service } from './services';
export type EnityName = 'system' | 'telemetrySetting' | 'api-hub';
export declare function getService<Entity, Key>({ logger, entityName, options }: {
    logger?: Logger;
    entityName: EnityName;
    options?: ServiceOptions;
}): Promise<Service<Entity, Key>>;
export * from './services';
export * from './entities/backend-system';
export * from './entities/telemetry-setting';
export * from './entities/api-hub';
export { getFilesystemWatcherFor } from './data-access';
export { ServiceOptions };
export { Entity };
export { getFioriToolsDirectory, FioriToolsSettings } from './utils';
//# sourceMappingURL=index.d.ts.map