"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DummyStore = void 0;
class DummyStore {
    log;
    constructor(log) {
        this.log = log;
    }
    async save(service, key, _value) {
        this.log.warn(`Dummy store. Trying to save for service: ${service}, key: ${key}`);
        return Promise.resolve(true);
    }
    async retrieve(service, key) {
        this.log.warn(`Dummy store. Trying to retrieve for service: ${service}, key: ${key}`);
        return Promise.resolve(undefined);
    }
    async delete(service, key) {
        this.log.warn(`Dummy store. Trying to delete for service: ${service}, key: ${key}`);
        return Promise.resolve(true);
    }
    async getAll(service) {
        this.log.warn(`Dummy store. Trying to get all values for service: [${service}]`);
        return Promise.resolve({});
    }
}
exports.DummyStore = DummyStore;
//# sourceMappingURL=dummy-store.js.map