import type { Logger } from '@sap-ux/logger';
import type { Service } from '..';
import type { ApiHubSettings } from '../../entities/api-hub';
import { ApiHubSettingsKey } from '../../entities/api-hub';
export declare class ApiHubSettingsService implements Service<ApiHubSettings, ApiHubSettingsKey> {
    private readonly dataProvider;
    private readonly logger;
    private secureStore;
    private migrationDone;
    private readonly key;
    constructor(logger: Logger);
    private migrate;
    partialUpdate(): Promise<ApiHubSettings>;
    read(): Promise<ApiHubSettings | undefined>;
    write(entity: ApiHubSettings): Promise<ApiHubSettings | undefined>;
    delete(entity: ApiHubSettings): Promise<boolean>;
    getAll(): Promise<ApiHubSettings[] | []>;
}
export declare function getInstance(logger: Logger): ApiHubSettingsService;
//# sourceMappingURL=service.d.ts.map