import type { Logger } from '@sap-ux/logger';
import type { Service } from '.';
import type { BackendSystemKey } from '../entities/backend-system';
import { BackendSystem } from '../entities/backend-system';
import type { ServiceOptions } from '../types';
export declare class SystemService implements Service<BackendSystem, BackendSystemKey> {
    private readonly dataProvider;
    private readonly logger;
    constructor(logger: Logger, options?: ServiceOptions);
    partialUpdate(key: BackendSystemKey, entity: Partial<BackendSystem>): Promise<BackendSystem | undefined>;
    private mergeProperties;
    private readOrThrow;
    private validatePartialUpdateInput;
    read(key: BackendSystemKey): Promise<BackendSystem | undefined>;
    write(entity: BackendSystem): Promise<BackendSystem | undefined>;
    delete(entity: BackendSystem): Promise<boolean>;
    getAll(): Promise<BackendSystem[] | []>;
}
export declare function getInstance(logger: Logger, options?: ServiceOptions): SystemService;
//# sourceMappingURL=backend-system.d.ts.map