import type { Logger } from '@sap-ux/logger';
import type { Service } from '.';
import type { TelemetrySetting, TelemetrySettingKey } from '../entities/telemetry-setting';
export declare class TelemetrySettingService implements Service<TelemetrySetting, TelemetrySettingKey> {
    private readonly dataProvider;
    private readonly logger;
    constructor(logger: Logger);
    partialUpdate(): Promise<TelemetrySetting>;
    read(key: TelemetrySettingKey): Promise<TelemetrySetting | undefined>;
    write(entity: TelemetrySetting): Promise<TelemetrySetting | undefined>;
    delete(entity: TelemetrySetting): Promise<boolean>;
    getAll(): Promise<TelemetrySetting[] | []>;
}
export declare function getInstance(logger: Logger): TelemetrySettingService;
//# sourceMappingURL=telemetry-setting.d.ts.map