"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelemetrySettingService = void 0;
exports.getInstance = getInstance;
const telemetry_setting_1 = require("../data-provider/telemetry-setting");
class TelemetrySettingService {
    dataProvider;
    logger;
    constructor(logger) {
        this.logger = logger;
        this.dataProvider = new telemetry_setting_1.TelemetryDataProvider(this.logger);
    }
    async partialUpdate() {
        throw new Error('NOT IMPLEMENTED');
    }
    async read(key) {
        return this.dataProvider.read(key);
    }
    async write(entity) {
        return this.dataProvider.write(entity);
    }
    async delete(entity) {
        return this.dataProvider.delete(entity);
    }
    async getAll() {
        return this.dataProvider.getAll();
    }
}
exports.TelemetrySettingService = TelemetrySettingService;
function getInstance(logger) {
    return new TelemetrySettingService(logger);
}
//# sourceMappingURL=telemetry-setting.js.map